'use strict';

var gulp = require('gulp');
var wrap = require('gulp-wrap');
var sass = require('gulp-sass');
var rename = require('gulp-rename');
var shell = require('gulp-shell')
var watch = require('gulp-watch');

gulp.task('scss', function () {
  gulp.src('./assets/css/styles.scss')
    .pipe(sass().on('error', sass.logError))
    .pipe(wrap('<style type="text/css">\n<%= contents %>\n</style>'))
    .pipe(gulp.dest('./assets/css/dist'));
});

gulp.task('build', shell.task([
  './bin/build.py'
]));

// default gulp task
gulp.task('default', ['scss'], function() {
  gulp.watch('./assets/css/**/*.scss', ['scss']);
  gulp.watch(['bin/build.py', './assets/css/**/*.scss', './assets/js/**/*.js', './templates/*.tpl.html'], ['build']);
});
